PPL: Parma_Polyhedra_Library::Linear_Expression::const_iterator Class Reference

PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions | List of all members
Parma_Polyhedra_Library::Linear_Expression::const_iterator Class Reference
C++ Language Interface

`#include <ppl.hh>`

## Public Member Functions
| const_iterator ()
| Constructs an invalid const_iterator. More...
| const_iterator (const const_iterator &i)
| The copy constructor. More...
void | m_swap (const_iterator &i)
| Swaps `i` with `*this`. More...
const_iterator & | operator= (const const_iterator &i)
| Assigns `i` to *this . More...
const_iterator & | operator++ ()
| Navigates to the next nonzero coefficient. More...
const_iterator & | operator-- ()
| Navigates to the previous nonzero coefficient. More...
reference | operator* () const
| Returns the current element.
Variable | variable () const
| Returns the variable of the coefficient pointed to by `*this`. More...
bool | operator== (const const_iterator &i) const
| Compares `*this` with `i`. More...
bool | operator!= (const const_iterator &i) const
| Compares `*this` with `i` . More...

## Related Functions
(Note that these are not member functions.)
void | swap (Linear_Expression::const_iterator &x, Linear_Expression::const_iterator &y)
| Swaps `x` with `y`. More...
void | swap (Linear_Expression::const_iterator &x, Linear_Expression::const_iterator &y)

## Detailed Description

A const iterator on the expression (homogeneous) coefficient that are nonzero.

These iterators are invalidated by operations that modify the expression.

## Constructor & Destructor Documentation

Parma_Polyhedra_Library::Linear_Expression::const_iterator::const_iterator | ( |  | ) |
| inlineexplicit

Constructs an invalid const_iterator.

This constructor takes time.

Parma_Polyhedra_Library::Linear_Expression::const_iterator::const_iterator | ( | const const_iterator & | i | ) |
| inline

The copy constructor.

Parameters

  i | The iterator that will be copied.

This constructor takes time.

## Member Function Documentation

void Parma_Polyhedra_Library::Linear_Expression::const_iterator::m_swap | ( | const_iterator & | i | ) |
| inline

Swaps `i` with `*this`.

Parameters

  i | The iterator that will be swapped with `*this`.

This method takes time.

Linear_Expression::const_iterator & Parma_Polyhedra_Library::Linear_Expression::const_iterator::operator= | ( | const const_iterator & | i | ) |
| inline

Assigns `i` to *this .

Parameters

  i | The iterator that will be assigned into *this.

This method takes time.

Linear_Expression::const_iterator & Parma_Polyhedra_Library::Linear_Expression::const_iterator::operator++ | ( |  | ) |
| inline

Navigates to the next nonzero coefficient.

This method takes time for dense expressions, and time for sparse expressions.

Linear_Expression::const_iterator & Parma_Polyhedra_Library::Linear_Expression::const_iterator::operator-- | ( |  | ) |
| inline

Navigates to the previous nonzero coefficient.

This method takes time for dense expressions, and time for sparse expressions.

Variable Parma_Polyhedra_Library::Linear_Expression::const_iterator::variable | ( |  | ) | const
| inline

Returns the variable of the coefficient pointed to by `*this`.

Returns
  the variable of the coefficient pointed to by `*this`.

bool Parma_Polyhedra_Library::Linear_Expression::const_iterator::operator== | ( | const const_iterator & | i | ) | const
| inline

Compares `*this` with `i`.

Parameters

  i | The iterator that will be compared with *this.

bool Parma_Polyhedra_Library::Linear_Expression::const_iterator::operator!= | ( | const const_iterator & | i | ) | const
| inline

Compares `*this` with `i` .

Parameters

  i | The iterator that will be compared with *this.

## Friends And Related Function Documentation

void swap | ( | Linear_Expression::const_iterator & | x,
|  | Linear_Expression::const_iterator & | y
| ) |  |
| related

Swaps `x` with `y`.

void swap | ( | Linear_Expression::const_iterator & | x,
|  | Linear_Expression::const_iterator & | y
| ) |  |
| related

The documentation for this class was generated from the following file:

- ppl.hh